.\" $XConsortium: xcomm.man,v 1.1 92/02/25 22:40:50 ricks Exp $
.TH XCOMM 1 "Release 5" "X Version 11"
.SH NAME
xcomm \- an X communication program 
.SH SYNOPSIS
.B xcomm
[
.B \-fsite
.I site\_address1
.B \-fsite
.I site\_address2
\&.\|.\|.
] [ 
.I \-toolkitoption 
\&.\|.\|. ]
.SH DESCRIPTION
\fIxcomm\fP is a talk program written for X. It is fully compatible with the BSD talk program. In
addition to its compatability with the ascii terminal talk, xcomm also sports many features
that are lacking in the former.
.sp
xcomm uses a midified version the BSD talk daemon.  This modified daemon must be used in place of
the regular BSD daemon in order for xcomm to work properly.  In addition to the daemon, xcomm has
an address server. See \fIxcomm_ads\fP.
.sp
xcomm sports the following features:
.sp
.nf
	-	Putting calls on hold.  This feature is only enable if the caller 
		is also running xcomm.

	-	Ability to have multiple talk sessions at the same time. 

	-	Ability to to refuse in-coming calls. 

	-	Answering machine capbilities. The answering machine can be operated 
		manually or automatically through the option menu.  One can leave a 
		message for a particular user or retrieve a message left by a user.  
		The messages are kept in the user's home diretory under the names 
		.xcomm_msgin (in-comming messages) and .xcomm_msgout.  User names are 
		used to differentiate messages and the user name "anybody" can be 
		used to record a message for the general public.

	-	Ability to interrupt a call in progress or on holder (caller).

	-	Ability to record the caller's panel to a file (ideal for short file 
		transfers).  One can toggle between recording/pausing with the same 
		button. Thus, one can record only those section of the conversion of 
		particular interest.

		If the recording file already exists, recording starts at the end of 
		the file.

	-	Multiple line pasting. 

	-	Call history logger.  The history logger feature keeps track of all 
		your callers, even those that couldn't get in touch with you.
		<Ctrl L> will also display the call logger.

	-	Option menu that lets one take xcomm, sound, and automatic answering 
		on/off line.  <Ctrl M> will also display the option menu.

	-	Ability to register at serveral sites (foreign sites as well as local). 
		This is only possible iff those sites have installed the modified talk 
		daemon. With this feature, one does not have to be physically logged on 
		a particular machine to receive calls.

		For local sites, if the xcomm server is install, one does not have to 
		register at each local machines.  If the address server is not installed, 
		then each local daemon will act as a server for it's particular machine.

	-	Ability to fully interact with regular BSD talk program.

	-	Information icons -- if iconified when a call arrives, the icon 
		flashes between black and white.

	-	If a talk session is iconified and the caller hangs up, the icon changes 
		from black to white.

	-	Resource configurable.

.fi
.sp
A user can have only one xcomm running on a particular machine.  If a user tries to start more than
one xcomm, only the last executed one will be register, and the ones before will be told to terminate.
.sp
Every once in a while, there might be a left over zombie since xcomm is a two process program.  If run
on a stable version of unix, this should rerely happen.

xcomm works for both X11R5 and X11R4.

Send all comments and suggestions to ricks@mcs.kent.edu

Enjoy !!!

.SH OPTIONS
.TP 15
.B \-fsite\fI site_address
This option lets one specify registration sites.  Currently, xcomm looks for the name address
format instead of the numeric address format. One can register at 10 (orginal default) sites.
.SH COPYRIGHT
Copyright 1992, Kent State University.
.br
See \fIX\fP(1) for a full statement of rights and permissions.
.SH AUTHOR
Paul B. Ricks, Kent State University.
