.\" $XConsortium: xcommads.man,v 1.1 92/02/25 22:40:50 ricks Exp $
.TH XCOMM_ADS 1 "Release 5" "X Version 11"
.SH NAME
xcommads \- address server for the X communication program xcomm
.SH SYNOPSIS
.B xcommads
[
.B \-d
]
.SH DESCRIPTION
\fIxcommads\fP is the address server that goes along with the xcomm
talk program. The server keeps track of all xcomm addresses on the
local network.  When a caller initiates a call, the local daemon checks
it's local address database for the callee and if found forwards the
call; otherwise, the local daemon sends the request to the address server.
If the callee xcomm is registered (indicating person is logged on), the
server relays the talk request. In any case, the server returns a status
code to the requesting daemon which then deciphers the code and takes the
appropriate actions.

If the server is not up, (the modified BSD talk daemon figures this out)
or the callee is not running xcomm, the daemon behaves just like the
regular talk daemon -- the talk request message will be display on the
callee's terminal as usual.

There should be only one xcomm address server running on a local network.
The server host address can be specified in two ways: through the
source code \fIADDRESS_SERVER_HOSTNAME\fP in talkd.h or in the .rc file 
as an argument to the daemon --- ex. "-xcads" "host-name".

Also, the daemons on the various machines must be given the port of the
address server and this is done through \fIXCOMM_ADS_PORT\fP in talkd.h. 
The same holds true for the xcomm program.  If the port for the xcomm 
daemon is different from that of the regular talk, then xcomm must be 
compile with \fIXCOMM_DPORT\fP set to the appropriate port. It is set to 
-1 to alert xcomm that the regular talk port should be used.

If the address database reaches a certain size, the server will delete
the address database and then send request to all local daemons to register
their xcomm connections again. The daemons in-turn do some house cleaning
and then notify their xcomm to re-register their connection. This is
all done behind the scene of course.

Send all comments and suggestions to ricks@mcs.kent.edu .

Enjoy !!!
.SH OPTIONS
.TP 15
.B \-d
This starts xcommads in debug mode.
.SH COPYRIGHT
Copyright 1992, Kent State University.
.br
See \fIX\fP(1) for a full statement of rights and permissions.
.SH AUTHOR
Paul B. Ricks, Kent State University.
